.group-details{
    height: 678px;
    display: grid;
    grid-template-rows: repeat(10,1fr);
    grid-template-columns: repeat(20,1fr);
}

.currgroup-name{
    margin-top: 6em;
    margin-left: 11em;
    letter-spacing: 0.3em;
    align-items: end;
    grid-column: 2/-1; 
}
.currgroup-name > .currgroup-div{
    display: flex;
}

.currgroup-name > .currgroup-div > .bill{
    margin-left: auto;
}

.currgroup-name > .currgroup-div > .bill > button{
    color: snow;
    font-size: 1em;
    padding: 0.5em;
    letter-spacing: 0.3em;
    border: 0;
    background: rgb(44, 154, 183);
}

.currgroup-name > .currgroup-div > .settle-up > button{
    color: black;
    font-size: 1em;
    margin: 0 2em;
    padding: 0.5em;
    letter-spacing: 0.3em;
    border: 0;
    background: rgb(255,192,203);
}

.currgroup-name > .currgroup-div > p{
    margin: 0 0 0 1em;
    font-family: 'Yatra One', serif;      
    font-size: 2.2em;
}

.currgroup-name > hr {
    height: 1px;
    color: #c0b7ba;
    background: #c0b7ba;
    font-size: 0;
    border: 0;
}

.group-balances {
    height: 100%;
    font-family: 'Yatra One','serif';
    width: 15em;
    /* display: grid;
    grid-template-columns: */
    letter-spacing: 0.1em;
    margin-top: 9.2em;
    text-align: center;
    position: fixed;
    z-index: 1;
    top: 0;
    right: 0;
    background-color: rgba(211, 205, 207, 0.5); 
    overflow-x: hidden;
    padding-top: 10px;
  }

  .group-balances > .group-members > .member {
      font-weight: bold;
  }

  .group-msg{
      margin-top: -30em;
      margin-left: 2em;
      grid-column: 10/17;
      grid-row: 2/3;
  }

  .group-details > .group-msg > .bill-status{
    font-family: 'Gloria Hallelujah', serif;
    font-size: 2.5em;
  }

  .group-details > .group-msg > .bill-msg{
    font-size: 1.1em;
  }

  .group-details > img{
      height: 300px;
      width: 300px;
      margin-top: -30em;
      grid-column: 5/9;
      grid-row: 2/3;
  }

  .profile-img{
    height: 50px;
    width: 50px;
  }